local IS_TUTORIAL_ENABLED = core.get_modpath("bl_tutorial")
local IS_PARTIES_ENABLED = core.get_modpath("parties")



arena_lib.on_prejoin_queue("block_league", function(arena, p_name)
	if IS_TUTORIAL_ENABLED
		 and (not IS_PARTIES_ENABLED or not parties.is_player_in_party(p_name))
		 and not achvmt_lib.has_achievement(p_name, "block_league:first_steps")
		 and not block_league.has_skipped_tutorial(p_name)
		 and arena.mode ~= 0 then
    local id = arena_lib.get_arena_by_name("block_league", arena.name)

    bl_tutorial.suggest_tutorial(p_name, id)
    return
  end

	return true
end)